// BSP   : esp32 2.0.9
// Board : esp32 / XIAO_ESP32C3
// See https://forum.seeedstudio.com/t/how-to-use-serial1-with-xiao-esp32c3/266306/5
#include <HardwareSerial.h>

HardwareSerial MySerial0(0);

void setup() {
  Serial.begin(115200);
  Serial.setTxTimeoutMs(0); // meybe needed for Serial.print()
  delay(2000);
  
  MySerial0.begin(9600, SERIAL_8N1, -1, -1);  // default TX~D6 RX=D7
  delay(2000);
}

void loop() {
  Serial.println("******** I am XIAO ESP32C3 ********");
  
  MySerial0.println("Hello XIAO nRF52840,");
  MySerial0.println("I am XIAO ESP32C3.");
  MySerial0.println();   

  while(MySerial0.available() > 0) {
    char c = MySerial0.read();
    Serial.print(c);
  }
  delay(1000);
}
