// BSP : Seeed nRF52 Boards 1.1.1
// Board : Seeed nRF52 Boards / Seeed XIAO nRF52840 Sense

#include <Arduino.h>
#include <Adafruit_TinyUSB.h>   // meybe needed for Serial.print()

void setup() {
  Serial.begin(115200);
  delay(2000);

  Serial1.begin(9600);
  delay(2000);

  pinMode(LED_BUILTIN, OUTPUT);

}

void loop() {
  digitalWrite(LED_BUILTIN, LOW);

  Serial.println("******** I am XIAO nRF52840 ********");
  
  Serial1.println("Hello XIAO ESP32C3,");
  Serial1.println("I am XIAO nRF52840.");
  Serial1.println("");
  
  while(Serial1.available()>0) {

    char c = Serial1.read();
    Serial.print(c);
  }
  
  digitalWrite(LED_BUILTIN, HIGH);

  delay(1000);
}
